Do you know if SuSE has ISO images of SuSE 7.3 on any of their FTP servers? I have to install SuSE on a box with no Floppy drive, so I need a bootable CD! All I can find on their sites are single file downloads! I know most other distro's distribute as ISO via FTP, I was wondering if SuSE did as well! Any info? Joseph Hobbs Compaq Web Services / GEAE Team Tier 2/3 Support | Team Lead Backup hobbsj@somecrazyfool.com Joseph.Hobbs@ae.ge.com
On Friday 25 January 2002 2:15 am, you wrote:
Do you know if SuSE has ISO images of SuSE 7.3 on any of their FTP servers? I have to install SuSE on a box with no Floppy drive, so I need a bootable CD! All I can find on their sites are single file downloads! I know most other distro's distribute as ISO via FTP, I was wondering if SuSE did as well!
They don't. SuSE's business model relies on receiving income from sales of their distro. The CDs can be passed around if you get a copy, but public distribution of ISO images is not allowed. This topic frequently arises on this list and often starts a flame war. If you feel bad about the issue, please just switch to a distro which does distribute ISOs. -- 7:53am up 44 days, 16:00, 2 users, load average: 0.18, 0.11, 0.10
Hello Derek Fountain <fountai@hursley.ibm.com>, Can you tell me how do you append the Unix uptime output in your email? Is it realtime generated?
7:53am up 44 days, 16:00, 2 users, load average: 0.18, 0.11, 0.10
-- To unsubscribe send e-mail to suse-linux-e-unsubscribe@suse.com For additional commands send e-mail to suse-linux-e-help@suse.com Also check the FAQ at http://www.suse.com/support/faq and the archives at http://lists.suse.com
-- Patrick Hsieh <pahud@pahud.net>
On Sun, 2002-02-17 at 06:09, Patrick Hsieh wrote:
Hello Derek Fountain <fountai@hursley.ibm.com>,
Can you tell me how do you append the Unix uptime output in your email? Is it realtime generated?
7:53am up 44 days, 16:00, 2 users, load average: 0.18, 0.11, 0.10
This is a typical You-will-not-get-any-answer question. The subject is wrong, and it's an anoying one. Those who know the answer, are the same guys who will delete all posts with this (and other) stupid subjects without reading. Cheers .... Wolfi _________________________________________________________ Do You Yahoo!? Get your free @yahoo.com address at http://mail.yahoo.com
On Sunday 17 February 2002 06:09, Patrick Hsieh wrote:
Hello Derek Fountain <fountai@hursley.ibm.com>,
Can you tell me how do you append the Unix uptime output in your email? Is it realtime generated?
7:53am up 44 days, 16:00, 2 users, load average: 0.18, 0.11, 0.10
It's easy... at least in KMail. - Select Settings, Configure KMail, Identity. - Make sure the "Use a signature from file" radio buton is selected. - Type uptime in the space to the right of "Signature file" - Select (put an X) in the box to the left of "The file is a program" - Click "Apply" To turn on the auto signature bit: - Select Composer - Select (put an X) in the box to the left of "Automatically append signature" - Click "Apply" If you use a different email reader, poke around in the option settings. If it has a function to add a signature (virtually all of them do) it may also have a setting to allow it to run a program and append the results as the signature. You can add in pretty much any program that has a text based output... for example, you can use "fortune" instead of "uptime" and the fortune script output will be appended to your email as a signature. Later C.
I'd never done this before, but couldn't resist. I wrote a little shell script (attached) that works if you use any email client that reads the file ~/.signature. You need to just run the following shell-script. It creates a named pipe named ~/.signature. It then repeatedly writes the information to the named pipe. It blocks and waits if nobody is available to read from that named pipe. --Steve Augart Patrick Hsieh wrote:
Can you tell me how do you append the Unix uptime output in your email? Is it realtime generated?
7:53am up 44 days, 16:00, 2 users, load average: 0.18, 0.11, 0.10
On Mon, Mar 04, 2002 at 10:52:15AM -0800, Steven Augart wrote:
I'd never done this before, but couldn't resist. I wrote a little shell script (attached) that works if you use any email client that reads the file ~/.signature.
You need to just run the following shell-script. It creates a named pipe named ~/.signature. It then repeatedly writes the information to the named pipe. It blocks and waits if nobody is available to read from that named pipe.
--Steve Augart
In the spirit of open source, here is an update to your script. I ran into a problem after killing your script (with Ctrl-C) -- the fifo was left open but no one was writing to it so it caused my mail program (mutt) to hang. The update ensues that the fifo is removed when the script ends. See the section with the comment "# Be sure pipe is deleted upon exit." =============== cut ==================================== ## Dynamic .signature ## written by Steve Augart <steve at users dot sourceforge dot net> ## 3/4/2002: exit handler by Robert Paulsen ## ## Set up the FIFO if it doesn't exist, and perform some sanity checks. fifo=~/.signature if [ -e $fifo ] && [ ! -p $fifo ]; then >&2 echo "$fifo already exists, and isn't a named pipe. Giving up." exit 1; elif [ ! -e $fifo ]; then mkfifo $fifo || { >&2 echo "Couldn't create a named pipe named $fifo"; exit 1; } elif [ ! -w $fifo ]; then >&2 echo "Cannot write to $fifo; giving up!" exit 1; fi # Be sure pipe is deleted upon exit. function exit_handler() { [ -p $fifo ] && rm $fifo } trap "exit_handler" 0 # 0 is exit signal set -e # exit in case of error. while :; do { echo "This is a sample dynamic .signature"; uptime; } > $fifo sleep 1 done =============== cut ====================================
-- To unsubscribe send e-mail to suse-linux-e-unsubscribe@suse.com For additional commands send e-mail to suse-linux-e-help@suse.com Also check the FAQ at http://www.suse.com/support/faq and the archives at http://lists.suse.com
On Mon, Mar 04, 2002 at 06:27:42PM -0600, Robert C. Paulsen Jr. wrote: [snip] The script runs continuously, updating every second which is great if you really need your stats that accurate, but why bother with a named pipe and such a tight loop over maybe just updating the .signature file every 15 or 30 minutes with cron? Then, you could just lock the .signature file for write and update it. Maybe your computers have more power than mine :) Just a thought. Best Regards, Keith -- LPIC-2, MCSE, N+ wielder of vi(m), an ancient, dangerous and powerful magic Don't get lost, show no fear, and you'll be ready for a new frontier -- d.w.
No. Named pipes (FIFOs) block on open unless there is both a reader and a writer active. The script only writes output when there is someone interested in reading it. When the script finishes writing and closes the named pipe, then the email client gets an EOF and closes its own descriptor open on that pipe. A second later, the script opens the named pipe for writing again, and blocks in the open() call until a reader shows up again. So ``uptime'' is only called right after a process (usually the email client) has opened the ~/.signature file for reading. The ``sleep 1'' is there to give the email client a chance to process the EOF and close the named pipe before the script starts writing to it again. Some sort of better synchronization would be nice, but the sleep 1 is adequate for the task, since people generally take longer than a second between email messages. This is documented in the fifo(4) man page. --Steve Augart Nerd footnote and question: The 4.2 BSD system manual described a to-be-implemented feature called a ``portal'' that would have handled the synchronization better. Too bad it was never implemented. Does anybody know of better facilities for doing this sort of task, where what appears to be a file is actually backed up by a process or program, and the process operates exactly once per open() for reading, without kludgy waits? 4.1 BSD and 2.9 BSD had an experimental feature called ``multiplexor files'', but they had bugs and could freeze up the kernel. My friend J. Scott McCauley had a ~/.plan file (for the old finger program) that gave you a message from the files of the ``fortune'' program each time you finger'd him. He took it down after the system administrator began suspecting that it was causing occasional crashes. --Steve Augart Keith Winston wrote:
The script runs continuously, updating every second which is great if you really need your stats that accurate, but why bother with a named pipe and such a tight loop over maybe just updating the .signature file every 15 or 30 minutes with cron? Then, you could just lock the .signature file for write and update it. Maybe your computers have more power than mine :)
Just a thought.
Best Regards, Keith
On Monday 04 March 2002 19:27, Robert C. Paulsen Jr. wrote:
In the spirit of open source, here is an update to your script. I ran into a problem after killing your script (with Ctrl-C) -- the fifo was left open but no one was writing to it so it caused my mail program (mutt) to hang. The update ensues that the fifo is removed when the script ends. See the section with the comment "# Be sure pipe is deleted upon exit."
And if you are using KMail, just use this simpler script, and check the "The file is a program" box: #!/bin/bash #KMail sig generator echo " Sig: line 1" echo " Sig: line 2" uptime -- Regards, Malcolm KMail l.3.1 -- KDE 2.2.2 -- SuSE Linux 7.3 12:25pm up 1 day, 5:11, 1 user, load average: 0.23, 0.11, 0.03 Remove the dots to email me
That is a really nice feature, no doubt about it. Last time I checked, kmail didn't do remote IMAP folders, but I'll look again; things may have changed. --Steve Augart M. Clark wrote:
And if you are using KMail, just use this simpler script, and check the "The file is a program" box:
#!/bin/bash #KMail sig generator echo " Sig: line 1" echo " Sig: line 2" uptime
kmail that comes with kde-2.2.2 has imap support. The 1 that comes with kde-3.0 has even better impa support. Op donderdag 7 maart 2002 09:19, schreef Steven Augart:
That is a really nice feature, no doubt about it. Last time I checked, kmail didn't do remote IMAP folders, but I'll look again; things may have changed.
-- Richard Bos For those without home the journey is endless
Thanks; a definite improvement on the original :). I don't know how to use a .signature file with Mozilla, the mailer I most commonly use, so I haven't actually been running this myself much. I'm stunned that somebody actually bothered using it with their mailer. Another reward of open-source: having ones code reused by folks and learning about it later. :) --Steve Augart Robert C. Paulsen Jr. wrote:
In the spirit of open source, here is an update to your script. I ran into a problem after killing your script (with Ctrl-C) -- the fifo was left open but no one was writing to it so it caused my mail program (mutt) to hang. The update ensues that the fifo is removed when the script ends. See the section with the comment "# Be sure pipe is deleted upon exit."
=============== cut ==================================== ## Dynamic .signature ## written by Steve Augart <steve at users dot sourceforge dot net> ## 3/4/2002: exit handler by Robert Paulsen ##
## Set up the FIFO if it doesn't exist, and perform some sanity checks. fifo=~/.signature if [ -e $fifo ] && [ ! -p $fifo ]; then >&2 echo "$fifo already exists, and isn't a named pipe. Giving up." exit 1; elif [ ! -e $fifo ]; then mkfifo $fifo || {
&2 echo "Couldn't create a named pipe named $fifo"; exit 1; } elif [ ! -w $fifo ]; then >&2 echo "Cannot write to $fifo; giving up!" exit 1; fi
# Be sure pipe is deleted upon exit. function exit_handler() { [ -p $fifo ] && rm $fifo } trap "exit_handler" 0 # 0 is exit signal
set -e # exit in case of error. while :; do { echo "This is a sample dynamic .signature"; uptime; } > $fifo sleep 1 done =============== cut ====================================
-- To unsubscribe send e-mail to suse-linux-e-unsubscribe@suse.com For additional commands send e-mail to suse-linux-e-help@suse.com Also check the FAQ at http://www.suse.com/support/faq and the archives at http://lists.suse.com
On Thu, 2002-01-24 at 20:15, Joseph Hobbs wrote:
I know most other distro's distribute as ISO via FTP, I was wondering if SuSE did as well!
Not for over a year. -- -=|JP|=- Need a good geek? I'm unemployed! '01 B15 SE/PP | http://www.xanga.com/cowboydren/ | <//>< '95 SL2 Auto | cowboydren @ yahoo . com | _________________________________________________________ Do You Yahoo!? Get your free @yahoo.com address at http://mail.yahoo.com
Why do so with the download time and cost involved when you could just buy a copy of The Linux Magazine (issue14) and get a live eval copy of 7.3 to play with? scsijon At 11:13 AM 1/25/02 -0600, Jon Pennington wrote:
On Thu, 2002-01-24 at 20:15, Joseph Hobbs wrote:
I know most other distro's distribute as ISO via FTP, I was wondering if SuSE did as well!
Not for over a year.
-- -=|JP|=- Need a good geek? I'm unemployed!
'01 B15 SE/PP | http://www.xanga.com/cowboydren/ | <//>< '95 SL2 Auto | cowboydren @ yahoo . com |
_________________________________________________________ Do You Yahoo!? Get your free @yahoo.com address at http://mail.yahoo.com
-- To unsubscribe send e-mail to suse-linux-e-unsubscribe@suse.com For additional commands send e-mail to suse-linux-e-help@suse.com Also check the FAQ at http://www.suse.com/support/faq and the archives at http://lists.suse.com
On Sat, 2002-01-26 at 04:17, scsijon-net2000 wrote:
Why do so with the download time and cost involved when you could just buy a copy of The Linux Magazine (issue14) and get a live eval copy of 7.3 to play with?
Because I'm 98% certain that the Live Eval CD is responsible for the death of two CD-ROM drives in three months. Granted, they were old equipment, but the constant seeking and re-reading sped their demise significantly. The original poster isn't looking for an Evaluation, either; he wants installation media. -- -=|JP|=- Need a good geek? I'm unemployed! '01 B15 SE/PP | http://www.xanga.com/cowboydren/ | <//>< '95 SL2 Auto | cowboydren @ yahoo . com | _________________________________________________________ Do You Yahoo!? Get your free @yahoo.com address at http://mail.yahoo.com
Yes, I was after the installation media to build a simple firewall box for my network. The CD media won't do what I am after. My original question was just out of curiosity. The lack of ISO images will not make me run off to RedHat, Mandrake, or any other OS. I was just interested in firing up a SuSE Linux 7.3 box without having to part with another 70 bux (or thereabouts). :-) Joseph Hobbs Compaq Web Services / GEAE Team Tier 2/3 Support | Team Lead Backup hobbsj@somecrazyfool.com Joseph.Hobbs@ae.ge.com -----Original Message----- From: Jon Pennington [mailto:cowboydren@yahoo.com] Sent: Saturday, January 26, 2002 12:28 PM To: SuSE Linux List Subject: Re: [SLE] ISO images of SuSE 7.3 On Sat, 2002-01-26 at 04:17, scsijon-net2000 wrote:
Why do so with the download time and cost involved when you could just
buy a copy of The Linux Magazine (issue14) and get a live eval copy of 7.3 to play with?
Because I'm 98% certain that the Live Eval CD is responsible for the death of two CD-ROM drives in three months. Granted, they were old equipment, but the constant seeking and re-reading sped their demise significantly. The original poster isn't looking for an Evaluation, either; he wants installation media. -- -=|JP|=- Need a good geek? I'm unemployed! '01 B15 SE/PP | http://www.xanga.com/cowboydren/ | <//>< '95 SL2 Auto | cowboydren @ yahoo . com | _________________________________________________________ Do You Yahoo!? Get your free @yahoo.com address at http://mail.yahoo.com -- To unsubscribe send e-mail to suse-linux-e-unsubscribe@suse.com For additional commands send e-mail to suse-linux-e-help@suse.com Also check the FAQ at http://www.suse.com/support/faq and the archives at http://lists.suse.com
participants (12)
-
Clayton Cornell
-
Derek Fountain
-
Jon Pennington
-
Joseph Hobbs
-
Keith Winston
-
M. Clark
-
Patrick Hsieh
-
Richard Bos
-
Robert C. Paulsen Jr.
-
scsijon-net2000
-
Steven Augart
-
wolfi